Results 1 to 6 of 6

Thread: ocfs 1.4 on 11.0

  1. #1

    Default ocfs 1.4 on 11.0

    Hello,
    I've a openSuse 11.0 with ocfs2 vers.1.3
    How I can upgrade to 1.4?
    I've try to download version 1.4 from Software.openSUSE.org but it's only for openSuse 11.1 and have more dependecies which fails.

    Can you help me?
    Thank you

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: ocfs 1.4 on 11.0

    You may have to compile from the source if you cannot find a ready made package. I think there is a change in the heartbeat protocol version from 1.3 to 1.4 so you will have to upgrade all your nodes at once.

  3. #3

    Default Re: ocfs 1.4 on 11.0

    Thank you.
    It's very difficult for me compile from source because ocfs has a kernel module.
    Someone have a Howto rebuild kernel for suse?
    thank you

  4. #4
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: ocfs 1.4 on 11.0

    You don't have to recompile the kernel. You only have to compile your module with the source of the kernel version that you will be using.

  5. #5

    Default Re: ocfs 1.4 on 11.0

    Thanks but I do not know how it works

  6. #6
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: ocfs 1.4 on 11.0

    There are instructions at the OCFS website.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •